const bot = require("../../bot/bot");

const get = async (request, response) => {
    const guildId = request.params.guildId;
    const guild = bot.guilds.cache.get(guildId);

    if (!guild) {
        response.status(404).send("404: guild not found");
        return;
    }

    response.render("guild", {
        title: `${guild.name} - Relay`,
        guild: guild,
    });
};

module.exports = { get };
